--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Compares another Relationship for equality
- !ruby/struct:SM::Flow::P 
  body: "@param [Relationship] other"
- !ruby/struct:SM::Flow::VERB 
  body: "  the other Relationship to compare with\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Boolean]"
- !ruby/struct:SM::Flow::VERB 
  body: "  true if they are equal, false if not\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Associations::Relationship#eql?
is_singleton: false
name: eql?
params: (other)
visibility: public
